%global sum	Advanced Linux Sound Architecture (ALSA) graphical mixer
%define beta	rc2_1
%define fbeta	rc2-1

Name:		alsamixergui
Version:	0.9.0
Release:	%mkrel 2.%{beta}.12
Summary:	%{sum}
License:	GPLv2
Group:		Sound/Mixers
URL:		http://www.iua.upf.es/~mdeboer/projects/alsamixergui/
# This is where the source used to live, but this upstream is dead.
# Source0:	ftp://www.iua.upf.es/pub/mdeboer/projects/alsamixergui/%%{name}-%%{version}rc1-2.tar.gz
# This tarball was taken from Debian, and is the most recent version as far as I know.
Source0:	http://ftp.de.debian.org/debian/pool/main/a/alsamixergui/alsamixergui_0.9.0rc2-1.orig.tar.gz
# This is debian's patch, taken 2013-04-01
Patch0:		alsamixergui_0.9.0rc2-1-9.1.diff
Patch1:		alsamixergui-strsignal.patch
BuildRequires:	kernel-headers
BuildRequires:	pkgconfig(alsa) >= %{version}
BuildRequires:	fltk-devel

%description
alsamixergui is a FLTK based frontend for alsamixer. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the GUI
part, so it provides exactly the same functionality, but with a 
graphical user interface.

%prep
%setup -q -n %{name}-%{version}%{fbeta}.orig
%autopatch -p1
autoreconf -i

#fix build with new automake
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=AlsaMixerGUI
Comment=%{sum}
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=Audio;Mixer;
EOF

%files
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Nov 27 2020 tv <tv> 0.9.0-2.rc2_1.12.mga8
+ Revision: 1649698
- switch to debian sources which are newer
- drop merged patches
- add debian patch
- fix build with glibc-2.32
- note that upstream URL is dead

* Wed Apr 15 2020 danf <danf> 0.9.0-2.rc1_5.12.mga8
+ Revision: 1567565
- Fix Comment= in .desktop file to stop referring to debug sources

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-2.rc1_5.11.mga8
+ Revision: 1508453
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.9.0-2.rc1_5.10.mga7
+ Revision: 1294297
- Mageia 7 Mass Rebuild

* Wed Feb 10 2016 umeabot <umeabot> 0.9.0-2.rc1_5.9.mga6
+ Revision: 953054
- Mageia 6 Mass Rebuild

* Sun Aug 16 2015 fwang <fwang> 0.9.0-2.rc1_5.8.mga6
+ Revision: 865069
- rebuild for new fltk

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-2.rc1_5.7.mga5
+ Revision: 743256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-2.rc1_5.6.mga5
+ Revision: 677743
- Mageia 5 Mass Rebuild

* Wed Apr 02 2014 daviddavid <daviddavid> 0.9.0-2.rc1_5.5.mga5
+ Revision: 611399
- rebuild for Mageia 5 (missed Mageia 4 Mass Rebuild)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.0-2.rc1_5.3.mga3
+ Revision: 345520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.9.0-2.rc1_5.2.mga3
+ Revision: 336495
- fix build with new automake

* Thu Nov 22 2012 barjac <barjac> 0.9.0-2.rc1_5.1.mga3
+ Revision: 320412
- Change group in line with new policy
- correct license
- correct grammar in description

* Wed Feb 08 2012 kamil <kamil> 0.9.0-1.rc1_5.1.mga2
+ Revision: 206357
- bump release to be updateable from Mandriva 2010

* Mon Feb 06 2012 kamil <kamil> 0.9.0-0.rc1_5.1.mga2
+ Revision: 205531
- adapt .spec for Mageia
- imported package alsamixergui

